Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(12)

Issue 2136493002: Perform BSP polygon splitting and orientation selection in a single step. (Closed)

Created:
2 years, 10 months ago by Tobias Sargeant
Modified:
2 years, 10 months ago
CC:
blink-reviews, cc-bugs_chromium.org, chromium-reviews, jshin+watch_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@2743
Target Ref:
refs/pending/branch-heads/2743
Project:
chromium
Visibility:
Public.

Description

Perform BSP polygon splitting and orientation selection in a single step. This eliminates redundant testing of vertices for orientation with respect to the splitting polygon. Previously, up to 3 sets of tests were made (once to determine whether the polygon was split, then once during the split, and then finally to determine the orientation of the split polygons. Merging these steps in order to reuse calculated values also eliminates the possibility that different calculations in testing and splitting could be inconsistent. BUG=606984 CQ_INCLUDE_TRYBOTS=tryserver.blink:linux_blink_rel NOTRY=true NOPRESUBMIT=true Committed: https://crrev.com/89c62c8f69d76471e866f21ee4f1ae5e0c5bca48 Review-Url: https://codereview.chromium.org/2043283002 Cr-Original-Commit-Position: refs/heads/master@{#399459} Cr-Commit-Position: refs/heads/master@{#403559} (cherry picked from commit 3e9082bfc63be6b304543ee499354fd71ea063ae)

Patch Set 1 #

Patch Set 2 : Remove all test changes. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+268 lines, -279 lines) Patch
M cc/output/bsp_tree.h View 1 chunk +0 lines, -4 lines 0 comments Download
M cc/output/bsp_tree.cc View 2 chunks +16 lines, -43 lines 0 comments Download
M cc/output/bsp_tree_unittest.cc View 4 chunks +34 lines, -8 lines 0 comments Download
M cc/quads/draw_polygon.h View 1 chunk +4 lines, -7 lines 0 comments Download
M cc/quads/draw_polygon.cc View 3 chunks +140 lines, -181 lines 0 comments Download
M cc/quads/draw_polygon_unittest.cc View 11 chunks +74 lines, -36 lines 0 comments Download

Messages

Total messages: 25 (14 generated)
Tobias Sargeant
Hi Dana and Alex, Could you please take a look at this cherry-pick as a ...
2 years, 10 months ago (2016-07-08 11:06:56 UTC) #3
danakj
=> the original reviewer
2 years, 10 months ago (2016-07-08 21:24:37 UTC) #5
enne (OOO)
I don't know that it's worth moving new baselines to branches. There's not really infrastructure ...
2 years, 10 months ago (2016-07-08 21:28:10 UTC) #6
amineer
On 2016/07/08 21:28:10, enne wrote: > I don't know that it's worth moving new baselines ...
2 years, 10 months ago (2016-07-08 21:43:27 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2136493002/20001
2 years, 10 months ago (2016-07-11 10:38:00 UTC) #14
commit-bot: I haz the power
No L-G-T-M from a valid reviewer yet. CQ run can only be started by full ...
2 years, 10 months ago (2016-07-11 10:38:01 UTC) #16
enne (OOO)
lgtm
2 years, 10 months ago (2016-07-11 17:35:52 UTC) #18
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2136493002/20001
2 years, 10 months ago (2016-07-11 17:36:24 UTC) #19
commit-bot: I haz the power
CLs for remote refs other than refs/pending/heads/master must contain NOTRY=true and NOPRESUBMIT=true in order for ...
2 years, 10 months ago (2016-07-11 17:36:27 UTC) #21
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2136493002/20001
2 years, 10 months ago (2016-07-11 17:44:44 UTC) #24
commit-bot: I haz the power
2 years, 10 months ago (2016-07-11 17:48:14 UTC) #25
Message was sent while issue was closed.
Committed patchset #2 (id:20001)

Powered by Google App Engine
This is Rietveld 408576698